| Home | Libraries | People | FAQ | More

##### exterior_ring

Function to get the exterior_ring ring of a polygon.

###### Synopsis

    template<typename Polygon, >
    ring_return_type<Polygon>::type exterior_ring(Polygon & polygon)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
P | polygon type | - | Must be specified
Polygon & |  | polygon | the polygon to get the exterior ring from

###### Returns

a reference to the exterior ring

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/core/exterior_ring.hpp>`